Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 23 Sep 2014, 18:30
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
Quickset Wary-5.1.1-01q the Final Release
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 18 of 18 [269 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18
Author Message
rodin.s

Joined: 22 Sep 2010
Posts: 338
Location: Ukraine

PostPosted: Fri 17 Jun 2011, 10:15    Post subject: i18n and l10n_ru packages for Wary-5.1.2  

I have made i18n and l10n_ru packages for Wary-5.1.2. i18n contains gettext scripts. l10n_ru contains everything else for Russian l10n. i18n_dev contains pot-files for translation, and also scripts itself so it could be changed or updated and new pot-files could be generated.
I am planning to do the same thing to Spup-121.02.
i18n pet should be installed first and then l10n.
Russian l10n for Wary-5.1.2
l10n_ru_w512-0.3.1.pet: http://www.sendspace.com/file/4awy89
i18n_w512_dev-0.5.1.tar.gz
Description  i18n_dev for Wary-5.1.2
gz

 Download 
Filename  i18n_w512_dev-0.5.1.tar.gz 
Filesize  792.22 KB 
Downloaded  421 Time(s) 
i18n_w512-0.5.1.pet
Description  i18n for Wary-5.1.2
pet

 Download 
Filename  i18n_w512-0.5.1.pet 
Filesize  316.54 KB 
Downloaded  411 Time(s) 
Back to top
View user's profile Send private message 
L18L

Joined: 19 Jun 2010
Posts: 2505
Location: Burghaslach, Germany somewhere also known as "Hosla"

PostPosted: Tue 09 Aug 2011, 16:32    Post subject: Re: i18n and l10n_ru packages for Wary-5.1.2  

rodin.s wrote:
I have made i18n and l10n_ru packages for Wary-5.1.2. i18n contains gettext scripts. l10n_ru contains everything else for Russian l10n. i18n_dev contains pot-files for translation, and also scripts itself so it could be changed or updated and new pot-files could be generated.
I am planning to do the same thing to Spup-121.02.
i18n pet should be installed first and then l10n.
Russian l10n for Wary-5.1.2
l10n_ru_w512-0.3.1.pet: http://www.sendspace.com/file/4awy89

Hi rodin.s

I suppose your help is needed here
http://murga-linux.com/puppy/viewtopic.php?t=67811&start=147
Smile
Back to top
View user's profile Send private message 
don570


Joined: 10 Mar 2010
Posts: 3292
Location: Ontario

PostPosted: Tue 11 Oct 2011, 15:51    Post subject:  

I've made a new version of Right click pet package.
I checked it on this version of Wary and Shinobar's Quickset Wary
http://www.murga-linux.com/puppy/viewtopic.php?t=67013

____________________________________________
Back to top
View user's profile Send private message 
amj

Joined: 28 Jan 2011
Posts: 28

PostPosted: Sun 10 Jun 2012, 13:02    Post subject: Re: IME(scim) with english locale  

shinobar wrote:
In general, your locale should be registered in the file '/etc/gtk-2.0/gtk.immodules'.
By the default, only CJK locales can use scim, but you can add your locale like this:
Quote:
"/usr/lib/gtk-2.0/2.10.0/immodules/im-scim.so"
"scim" "SCIM Input Method" "scim" "/usr/share/locale" "ja:ko:zh:en"

I've been trying to get a Japanese IME running on a Puppy 525 system.

I found a blog post that said I needed three more packages in addition to the japanese language pack in the ibiblio repository. I discovered I could download those packages from this repository.

I am now to the point where SCIM+Anthy appears to be correctly installed. If I set my locale to jp the IME works. But if the locale is set to en the IME does not work.

So I've been looking for help and the above quote from shinobar looks like it could be the answer. However there is no file called im-scim.so in my /usr/lib/gtk-2.0/2.10.0/immodules/ folder and I have no idea how to create one.

~edit~

OK, I figured it out. The im-scim.so file isn't the one to be edited, it's the /etc/gtk-2.0/gtk.immodules file that needs the edit. Thank you shinobar, my IME works for locale en now.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 18 of 18 [269 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0619s ][ Queries: 12 (0.0088s) ][ GZIP on ]